# enum LLVM::DwarfSourceLanguage

##
Defined in:

llvm/enums.cr

##
Enum Members

C89 = `0`
C = `1`
Ada83 = `2`
C_plus_plus = `3`
Cobol74 = `4`
Cobol85 = `5`
Fortran77 = `6`
Fortran90 = `7`
Pascal83 = `8`
Modula2 = `9`
Java = `10`
C99 = `11`
Ada95 = `12`
Fortran95 = `13`
PLI = `14`
ObjC = `15`
ObjC_plus_plus = `16`
UPC = `17`
D = `18`
Python = `19`
OpenCL = `20`
Go = `21`
Modula3 = `22`
Haskell = `23`
C_plus_plus_03 = `24`
C_plus_plus_11 = `25`
OCaml = `26`
Rust = `27`
C11 = `28`
Swift = `29`
Julia = `30`
Dylan = `31`
C_plus_plus_14 = `32`
Fortran03 = `33`
Fortran08 = `34`
RenderScript = `35`
BLISS = `36`
Kotlin = `37`
Zig = `38`
Crystal = `39`
C_plus_plus_17 = `40`
C_plus_plus_20 = `41`
C17 = `42`
Fortran18 = `43`
Ada2005 = `44`
Ada2012 = `45`
Mips_Assembler = `46`
GOOGLE_RenderScript = `47`
BORLAND_Delphi = `48`

##
Instance Method Summary

- #ada2005?
- #ada2012?
- #ada83?
- #ada95?
- #bliss?
- #borland_delphi?
- #c11?
- #c17?
- #c89?
- #c99?
- #c?
- #c_plus_plus?
- #c_plus_plus_03?
- #c_plus_plus_11?
- #c_plus_plus_14?
- #c_plus_plus_17?
- #c_plus_plus_20?
- #cobol74?
- #cobol85?
- #crystal?
- #d?
- #dylan?
- #fortran03?
- #fortran08?
- #fortran18?
- #fortran77?
- #fortran90?
- #fortran95?
- #go?
- #google_render_script?
- #haskell?
- #java?
- #julia?
- #kotlin?
- #mips_assembler?
- #modula2?
- #modula3?
- #o_caml?
- #obj_c?
- #obj_c_plus_plus?
- #open_cl?
- #pascal83?
- #pli?
- #python?
- #render_script?
- #rust?
- #swift?
- #upc?
- #zig?

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, inspect(io : IO) : Nil inspect, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i128 : Int128 to_i128, to_i128! : Int128 to_i128!, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u128 : UInt128 to_u128, to_u128! : UInt128 to_u128!, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) new, parse(string : String) : self parse

### Class methods inherited from struct `Enum`

each(& : self -> ) each, from_value?(value : Int) : self | Nil from_value?, names : Array(String) names, parse?(string : String) : self | Nil parse?, valid?(value : self) : Bool valid?, values : Array(self) values

### Macros inherited from struct `Enum`

[](*values) [], flags(*values) flags

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Instance Method Detail

def ada2005? #
def ada2012? #
def ada83? #
def ada95? #
def bliss? #
def borland_delphi? #
def c11? #
def c17? #
def c89? #
def c99? #
def c? #
def c_plus_plus? #
def c_plus_plus_03? #
def c_plus_plus_11? #
def c_plus_plus_14? #
def c_plus_plus_17? #
def c_plus_plus_20? #
def cobol74? #
def cobol85? #
def crystal? #
def d? #
def dylan? #
def fortran03? #
def fortran08? #
def fortran18? #
def fortran77? #
def fortran90? #
def fortran95? #
def go? #
def google_render_script? #
def haskell? #
def java? #
def julia? #
def kotlin? #
def mips_assembler? #
def modula2? #
def modula3? #
def o_caml? #
def obj_c? #
def obj_c_plus_plus? #
def open_cl? #
def pascal83? #
def pli? #
def python? #
def render_script? #
def rust? #
def swift? #
def upc? #
def zig? #